Bug Hunting Session
Bug 104977 - FILESAVE: Column widths of a nested table are lost when text orientation is vertical
Summary: FILESAVE: Column widths of a nested table are lost when text orientation is v...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.6.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2016-12-29 13:55 UTC by Carlos Luque
Modified: 2018-06-17 22:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Column width of a nested table are set wrong (9.72 KB, application/vnd.oasis.opendocument.text)
2016-12-29 13:55 UTC, Carlos Luque
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Luque 2016-12-29 13:55:03 UTC
Created attachment 130005 [details]
Column width of a nested table are set wrong

Column widths of a nested table are saved wrong when text orientation of table parent is set at "vertical". The attribute "style:column-width" in "style:table-column-properties" is set at the column height of the nested table.
Also, table widths of a nested table are saved wrong. The attribute "style:width" of "style:table-properties".

Reproducible? Yes.

Checked Versions: Windows 7 x64
- 4.4.6
- 5.2.4.2
- 5.3 alpha

Happened in previous versions? Yes.
Comment 1 Buovjaga 2017-01-03 19:17:50 UTC
Please give clear reproduction steps for arriving at your example document.
I don't understand the problem from your description.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 Carlos Luque 2017-01-19 12:52:11 UTC
Steps:
- Adding a table 1x1 (table1). The table1 properties are:
   * the row height is 5cm.
   * the padding is 0.10cm.
   * the column width is the content width.
   * the text orientation in text flow is "vertical".  

- Inserting a paragraph and a nested table 1x2 (table2) with table1. The table2 properties are:
   * the row height is fit to size.
   * the text orientation in text flow is "use superordinate object setting".

The data for table2 in content.xml:
 * style:width is 0.635cm. 
 * style:table-column-width is 0.347cm. 

I think that the style:width should be 4.8 cm and  style:table-column-width should be 2.4 cm for table2
Comment 3 Buovjaga 2017-01-22 18:02:30 UTC Comment hidden (obsolete)
Comment 4 Carlos Luque 2017-01-23 11:01:42 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2017-01-23 11:14:32 UTC
Sorry, I was not focused.

Yes, it is clearly mixing up the width and height due to the rotation.

Setting to NEW.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 1c27286b9d5331634c073cd3e327bd941e61bbb6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-01-23_03:24:17
Locale: fi-FI (fi_FI); Calc: group
Comment 6 QA Administrators 2018-05-08 02:32:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug